com.io7m.r2.filters

## Class R2ShaderFilterBilateralBlurDepthAwareParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2ShaderFilterBilateralBlurDepthAwareParameters.Builder

- Enclosing class:
    R2ShaderFilterBilateralBlurDepthAwareParameters

      public static final class R2ShaderFilterBilateralBlurDepthAwareParameters.Builder
      extends Object

  Builds instances of type `R2ShaderFilterBilateralBlurDepthAwareParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2ShaderFilterBilateralBlurDepthAwareParameters` | `build()` Builds a new `R2ShaderFilterBilateralBlurDepthAwareParameters`.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `from(R2ShaderFilterBilateralBlurDepthAwareParametersType instance)` Fill a builder with attribute values from the provided `R2ShaderFilterBilateralBlurDepthAwareParametersType` instance.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `setBlurFalloff(float blurFalloff)` Initializes the value for the `blurFalloff` attribute.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `setBlurOutputInverseHeight(float blurOutputInverseHeight)` Initializes the value for the `blurOutputInverseHeight` attribute.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `setBlurOutputInverseWidth(float blurOutputInverseWidth)` Initializes the value for the `blurOutputInverseWidth` attribute.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `setBlurRadius(float blurRadius)` Initializes the value for the `blurRadius` attribute.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `setBlurSharpness(float blurSharpness)` Initializes the value for the `blurSharpness` attribute.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `setDepthCoefficient(float depthCoefficient)` Initializes the value for the `depthCoefficient` attribute.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `setDepthTexture(R2Texture2DUsableType depthTexture)` Initializes the value for the `depthTexture` attribute.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `setImageTexture(R2Texture2DUsableType imageTexture)` Initializes the value for the `imageTexture` attribute.
    `R2ShaderFilterBilateralBlurDepthAwareParameters.Builder` | `setViewMatrices(R2MatricesObserverValuesType viewMatrices)` Initializes the value for the `viewMatrices` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder from(R2ShaderFilterBilateralBlurDepthAwareParametersType instance)

      Fill a builder with attribute values from the provided `R2ShaderFilterBilateralBlurDepthAwareParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setViewMatrices

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder setViewMatrices(R2MatricesObserverValuesType viewMatrices)

      Initializes the value for the `viewMatrices` attribute.
      Parameters:
        `viewMatrices` - The value for viewMatrices
      Returns:
        `this` builder for use in a chained invocation

    - #### setImageTexture

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder setImageTexture(R2Texture2DUsableType imageTexture)

      Initializes the value for the `imageTexture` attribute.
      Parameters:
        `imageTexture` - The value for imageTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setDepthTexture

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder setDepthTexture(R2Texture2DUsableType depthTexture)

      Initializes the value for the `depthTexture` attribute.
      Parameters:
        `depthTexture` - The value for depthTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setDepthCoefficient

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder setDepthCoefficient(float depthCoefficient)

      Initializes the value for the `depthCoefficient` attribute.
      Parameters:
        `depthCoefficient` - The value for depthCoefficient
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurFalloff

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder setBlurFalloff(float blurFalloff)

      Initializes the value for the `blurFalloff` attribute.
      Parameters:
        `blurFalloff` - The value for blurFalloff
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurRadius

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder setBlurRadius(float blurRadius)

      Initializes the value for the `blurRadius` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `blurRadius`.

      Parameters:
        `blurRadius` - The value for blurRadius
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurSharpness

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder setBlurSharpness(float blurSharpness)

      Initializes the value for the `blurSharpness` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `blurSharpness`.

      Parameters:
        `blurSharpness` - The value for blurSharpness
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurOutputInverseWidth

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder setBlurOutputInverseWidth(float blurOutputInverseWidth)

      Initializes the value for the `blurOutputInverseWidth` attribute.
      Parameters:
        `blurOutputInverseWidth` - The value for blurOutputInverseWidth
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurOutputInverseHeight

          public final R2ShaderFilterBilateralBlurDepthAwareParameters.Builder setBlurOutputInverseHeight(float blurOutputInverseHeight)

      Initializes the value for the `blurOutputInverseHeight` attribute.
      Parameters:
        `blurOutputInverseHeight` - The value for blurOutputInverseHeight
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2ShaderFilterBilateralBlurDepthAwareParameters build()

      Builds a new `R2ShaderFilterBilateralBlurDepthAwareParameters`.
      Returns:
        An immutable instance of R2ShaderFilterBilateralBlurDepthAwareParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com